# Class GridCAException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sun.grid.ca.GridCAException

All Implemented Interfaces:
  `Serializable`

public class GridCAException extends Exception
This exception wraps all errors of the GridCA

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`GridCAException(String message)`
Creates a new instance of CAException
`GridCAException(String message, String bundle)`
Creates a new instance of GridCAException with a localized message
`GridCAException(String message, String bundle, Object[] params)`
Creates a new instance of GridCAException with a localized message
`GridCAException(String message, Throwable cause)`
Creates a new instance of GridCAException.
`GridCAException(String message, Throwable cause, String bundle, Object[] params)`
Creates a new instance of GridCAException with a localized message

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GridCAException

public GridCAException(String message)
Creates a new instance of CAException

Parameters:
  `message` - the message

### GridCAException

public GridCAException(String message, Throwable cause)
Creates a new instance of GridCAException.

Parameters:
  `message` - the message
  `cause` - the cause of the exception

### GridCAException

public GridCAException(String message, String bundle)
Creates a new instance of GridCAException with a localized message

Parameters:
  `message` - the message
  `bundle` - the resource bundle

### GridCAException

public GridCAException(String message, String bundle, Object[] params)
Creates a new instance of GridCAException with a localized message

Parameters:
  `message` - the message
  `bundle` - the resource bundle
  `params` - parameters for the message

### GridCAException

public GridCAException(String message, Throwable cause, String bundle, Object[] params)
Creates a new instance of GridCAException with a localized message

Parameters:
  `message` - the message
  `cause` - the cause of the error
  `bundle` - the resource bundle
  `params` - parameters for the message